## ros-indigo-move-base 1.12.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(move_base)

find_package(catkin REQUIRED
    COMPONENTS
        actionlib
        base_local_planner
        clear_costmap_recovery
        cmake_modules
        costmap_2d
        dynamic_reconfigure
        geometry_msgs
        message_generation
        move_base_msgs
        nav_core
        nav_msgs
        navfn
        pluginlib
        roscpp
        rospy
        rotate_recovery
        std_srvs
        tf
)
find_package(Eigen REQUIRED)
add_definitions(${EIGEN_DEFINITIONS})

# dynamic reconfigure
generate_dynamic_reconfigure_options(
    cfg/MoveBase.cfg
)

catkin_package(
    CATKIN_DEPENDS
        dynamic_reconfigure
        geometry_msgs
        move_base_msgs
        nav_msgs
        roscpp
)

include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${EIGEN_INCLUDE_DIRS}
)

# move_base
add_library(move_base
  src/move_base.cpp
)
target_link_libraries(move_base
    ${Boost_LIBRARIES}
    ${catkin_LIBRARIES}
    )
add_dependencies(move_base ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(move_base_node
  src/move_base_node.cpp
)
add_dependencies(move_base_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(move_base_node move_base)
set_target_properties(move_base_node PROPERTIES OUTPUT_NAME move_base)

install(DIRECTORY launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    USE_SOURCE_PERMISSIONS
    )

install(
    PROGRAMS
       scripts/subtopic_forwarder.py
       scripts/subtopic_forwarder_node.py
       scripts/warner.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
    TARGETS
        move_base
        move_base_node
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-move-base (1.12.16-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-indigo-move-base (1.12.15-0trusty) trusty; urgency=high

  * Merge pull request #684 <https://github.com/ros-planning/navigation/issues/684> from DLu/fix_523
    [indigo] Respect planner_frequency intended behavior [backport]
  * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
  * Merge pull request #671 <https://github.com/ros-planning/navigation/issues/671> from ros-planning/email_update_indigo
    update maintainer email (indigo)
  * Merge pull request #647 <https://github.com/ros-planning/navigation/issues/647> from aaronhoy/indigo_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Jorge Santos Simón, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 20 Mar 2018 04:00:00 -0000

ros-indigo-move-base (1.12.14-0trusty) trusty; urgency=high

  * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
  * Merge pull request #524 <https://github.com/ros-planning/navigation/issues/524> from corot/call_less_the_planner
    Fix for #523 <https://github.com/ros-planning/navigation/issues/523>: global planner called much more times than expected
  * Merge pull request #501 <https://github.com/ros-planning/navigation/issues/501> from selvasamuel/indigo-devel
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Fix: global planner called much more times than max_planning_retries or time allowed by planner_patiente
  * Fixed deadlock when changing global planner
  * Contributors: Jorge Santos Simón, Martin Günther, Michael Ferguson, ne0

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Dec 2017 05:00:00 -0000

ros-indigo-move-base (1.12.13-0trusty) trusty; urgency=high

  * Merge pull request #495 <https://github.com/ros-planning/navigation/issues/495> from corot/patch-3
    Fix #494 <https://github.com/ros-planning/navigation/issues/494>: prevent zero-velocity commands during recovery behaviors
  * move_base: Add move_base_msgs to find_package.
  * Issue #496 <https://github.com/ros-planning/navigation/issues/496>: add a max_planning_retries parameter as an alternative to planner_patience to limit the failed calls to global planner
  * Fix #494 <https://github.com/ros-planning/navigation/issues/494>: prevent zero-velocity commands during recovery behaviors
    Partially reverts 0a686c90c6f188a2731f6f88c2c08610f0ec907e
  * Contributors: Jorge Santos, Jorge Santos Simón, Maarten de Vries, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 15 Aug 2016 04:00:00 -0000

ros-indigo-move-base (1.12.12-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 24 Jun 2016 04:00:00 -0000

ros-indigo-move-base (1.12.11-0trusty) trusty; urgency=high

  * [Fix] Illegal vector visit when no path planned
  * Contributors: gjc13

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 08 Jun 2016 04:00:00 -0000

ros-indigo-move-base (1.12.10-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 May 2016 04:00:00 -0000

ros-indigo-move-base (1.12.9-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 26 May 2016 04:00:00 -0000

ros-indigo-move-base (1.12.8-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 16 May 2016 04:00:00 -0000

ros-indigo-move-base (1.12.7-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2016 05:00:00 -0000

ros-indigo-move-base (1.12.6-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 02 Jan 2016 05:00:00 -0000

ros-indigo-move-base (1.12.5-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-indigo-move-base (1.12.4-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 03 Jun 2015 04:00:00 -0000

ros-indigo-move-base (1.12.3-0trusty) trusty; urgency=high

  * proper locking during costmap update
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Apr 2015 04:00:00 -0000

ros-indigo-move-base (1.12.2-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-move-base (1.12.1-0trusty) trusty; urgency=high

  * Fixing various memory freeing operations
  * Contributors: Alex Bencz

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 14 Mar 2015 04:00:00 -0000

ros-indigo-move-base (1.12.0-0trusty) trusty; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-indigo-move-base (1.11.15-0trusty) trusty; urgency=high

  * Disable global planner when resetting state.
  * Mark move_base headers for installation
  * Add ARCHIVE DESTINATION for move_base
  * Break infinite loop when tolerance 0 is used
  * remove partial usage of <tab> in the code
  * Contributors: Gary Servin, Michael Ferguson, ohendriks, v4hn

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-indigo-move-base (1.11.14-0trusty) trusty; urgency=high

  * use timer rather than rate for immediate wakeup
  * adding lock to planner makePlan fail case
  * Contributors: Michael Ferguson, phil0stine

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-indigo-move-base (1.11.13-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-indigo-move-base (1.11.12-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-indigo-move-base (1.11.11-0trusty) trusty; urgency=high

  * removes trailing spaces and empty lines
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000



=== debian/control ===
Source: ros-indigo-move-base
Section: misc
Priority: extra
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-base-local-planner, ros-indigo-catkin, ros-indigo-clear-costmap-recovery, ros-indigo-cmake-modules, ros-indigo-costmap-2d, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-move-base-msgs, ros-indigo-nav-core, ros-indigo-nav-msgs, ros-indigo-navfn, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rotate-recovery, ros-indigo-std-srvs, ros-indigo-tf
Homepage: http://wiki.ros.org/move_base
Standards-Version: 3.9.2

Package: ros-indigo-move-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-base-local-planner, ros-indigo-clear-costmap-recovery, ros-indigo-costmap-2d, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-move-base-msgs, ros-indigo-nav-core, ros-indigo-nav-msgs, ros-indigo-navfn, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rotate-recovery, ros-indigo-std-srvs, ros-indigo-tf
Description: The move_base package provides an implementation of an action (see the actionlib package) that, given a goal in the world, will attempt to reach it with a mobile base.
 The move_base node links together a global and local planner to accomplish its global navigation task. It supports any global planner adhering to the nav_core::BaseGlobalPlanner interface specified in the nav_core package and any local planner adhering to the nav_core::BaseLocalPlanner interface specified in the nav_core package. The move_base node also maintains two costmaps, one for the global planner, and one for a local planner (see the costmap_2d package) that are used to accomplish navigation tasks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-move-base//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
